Live Business Listings Search Tasks

‌‌
Business Listings Search API provides results containing information about business entities listed on Google Maps in the specified categories. You will receive the address, contacts, rating, working hours, and other relevant data. The provided results are specific to the selected location (see the List of Locations) settings.

checked POST
Pricing

Your account will be charged for each request. The cost can be calculated on the Pricing page.

All POST data should be sent in the JSON format (UTF-8 encoding). The task setting is done using the POST method. When setting a task, you should send all task parameters in the task array of the generic POST array. You can send up to 2000 API calls per minute, each Live API call can contain only one task. The maximum number of calls that can be sent simultaneously is limited to 30.

Below you will find a detailed description of the fields you can use for setting a task.

Description of the fields for setting a task:

Field nameTypeDescription
categoriesarray

business categories
optional field
the categories you specify are used to search for business listings;
if you don't use this field, we will return business listings found in the specified location;
you can specify up to 10 categories

descriptionstring

description of the element in SERP
optional field
the description of the business entity for which the results are collected;
can contain up to 200 characters

titlestring

title of the element in SERP
optional field
the name of the business entity for which the results are collected;
can contain up to 200 characters

is_claimedboolean

indicates whether the business is verified by its owner on Google Maps
optional field

location_coordinatestring

GPS coordinates of a location
optional field
location_coordinate parameter should be specified in the "latitude,longitude,radius" format
the maximum number of decimal digits for "latitude" and "longitude": 7
the value of "radius" is specified in kilometres (km)
the minimum value for "radius": 1
the maximum value for "radius": 100000
example:
53.476225,-2.243572,200

filtersarray

array of results filtering parameters
optional field
you can add several filters at once (8 filters maximum)
you should set a logical operator and, or between the conditions
the following operators are supported:
regex, not_regex, <, <=, >, >=, =, <>, in, not_in, like, not_like, ilike, not_ilike, match, not_match
you can use the % operator with like and not_like to match any string of zero or more characters
example:
["rating.value",">",3]
you can receive the list of available filters_by making a separate request to https://api.dataforseo.com/v3/business_data/business_listings/available_filters
The full list of possible filters is available here.n

order_byarray

results sorting rules
optional field
you can use the same values as in the filters array to sort the results
possible sorting types:
asc - results will be sorted in the ascending order
desc - results will be sorted in the descending order
you should use a comma to set up a sorting parameter
example:
["rating.value,desc"]note that you can set no more than three sorting rules in a single request
you should use a comma to separate several sorting rules
example:
["rating.value,desc","rating.votes_count,desc"]

limitinteger

the maximum number of returned businesses
optional field
default value: 100
maximum value: 1000

offsetinteger

offset in the results array of returned businesses
optional field
default value: 0
if you specify the 10 value, the first ten entities in the results array will be omitted and the data will be provided for the successive entities
Note: we recommend using this parameter only when retrieving up to 10,000 results
for retrieving over 10,000 results, use the offset_token instead

offset_tokenstring

token for subsequent requests
optional field
provided in the identical filed of the response to each request;
use this parameter to avoid timeouts while trying to obtain over 100,000 results in a single request;
by specifying the unique offset_token value from the response array, you will get the subsequent results of the initial task;
offset_token values are unique for each subsequent task
Note: if the offset_token is specified in the request, all other parameters should be identical to the previous request
learn more about this parameter on our Help Center

tagstring

user-defined task identifier
optional field
the character limit is 255
you can use this parameter to identify the task and match it with the result
you will find the specified tag value in the data object of the response


‌‌‌‌‌
As a response of the API server, you will receive JSON-encoded data containing a tasks array with the information specific to the set tasks.

Description of the fields in the results array:

Field nameTypeDescription
versionstring

the current version of the API

status_codeinteger

general status code
you can find the full list of the response codes here
Note: we strongly recommend designing a necessary system for handling related exceptional or error conditions

status_messagestring

general informational message
you can find the full list of general informational messages here

timestring

execution time, seconds

costfloat

total tasks cost, USD

tasks_countinteger

the number of tasks in the tasksarray

tasks_errorinteger

the number of tasks in the tasks array returned with an error

tasksarray

array of tasks

    idstring

unique task identifier in our system
in the Universally unique identifier (UUID) format

    status_codeinteger

status code of the task
generated by DataForSEO; can be within the following range: 10000-60000

    status_messagestring

informational message of the task

    timestring

execution time, seconds

    costfloat

cost of the task, USD

    result_countinteger

number of elements in the result array

    patharray

URL path

    dataobject

contains the same parameters that you specified in the POST request

    resultarray

array of results

        total_countinteger

total number of results in our database relevant to your request

        countinteger

item types
the number of items in the items array

        offset_tokenobject

token for subsequent requests
by specifying the unique offset_token when setting a new task, you will get the subsequent results of the initial task;
offset_token values are unique for each subsequent task

            itemsarray

encountered item types
types of search engine results encountered in the items array;
possible item types: business_listing

                typestring

type of element = ‘business_listing’

                titlestring

title of the element in SERP
the name of the business entity for which the results are collected

                original_titlestring

original title of the element
original title not translated by Google

                descriptionstring

description of the element in SERP
the description of the business entity for which the results are collected

                categorystring

business category
Google My Business general category that best describes the services provided by the business entity

                category_idsarray

global category IDs
universal category IDs that do not change based on the selected country

                additional_categoriesarray

additional business categories
additional Google My Business categories that describe the services provided by the business entity in more detail

                cidstring

google-defined client id
unique id of a local establishment
learn more about the identifier in this help center article

                feature_idstring

the unique identifier of the element in SERP
learn more about the identifier in this help center article

                addressstring

address of the business entity

                address_infoobject

object containing address components of the business entity

                    boroughstring

administrative unit or district the business entity location belongs to

                    addressstring

street address of the business entity

                    citystring

name of the city where the business entity is located

                    zipstring

ZIP code of the business entity

                    regionstring

DMA region of the business entity location

                    country_codestring

ISO country code of the business entity location

                place_idstring

unique place identifier
place id of the local establishment featured in the element
learn more about the identifier in this help center article

                phonestring

phone number of the business entity

                urlstring

absolute url of the business entity

                domainstring

domain of the business entity

                logostring

URL of the logo featured in Google My Business profile

                main_imagestring

URL of the main image featured in Google My Business profile

                total_photosinteger

total count of images featured in Google My Business profile

                snippetstring

additional information on the business entity

                latitudefloat

latitude coordinate of the local establishments in google maps
example:
"latitude": 51.584091

                longitudefloat

longitude coordinate of the local establishment in google maps
example:
"longitude": -0.31365919999999997

                is_claimedboolean

shows whether the entity is verified by its owner on Google Maps

                attributesobject

service details in a form of user-reviewed checks;
service details of a business entity displayed in a form of checks and based on user feedback and business category

                    available_attributesobject

available attributes
indicates attributes a business entity can offer

                    unavailable_attributesobject

unavailable attributes
indicates attributes a business entity cannot offer

                place_topicsobject

keywords mentioned in customer reviews
contains most popular keywords related to products/services mentioned in customer reviews of a business entity and the number of reviews mentioning each keyword
example:
"place_topics": {
"egg roll": 48,
"birthday": 33
}

                ratingobject

the element's rating
the popularity rate based on reviews and displayed in SERP

                    rating_typestring

the type of rating
here you can find the following elements: Max5, Percents, CustomMax

                    valueinteger

the value of the rating

                    votes_countinteger

the amount of feedback

                    rating_maxinteger

the maximum value for a rating_type

                hotel_ratinginteger

hotel class rating
class ratings range between 1-5 stars, learn more
if there is no hotel class rating information, the value will be null

                price_levelstring

property price level
can take values: inexpensive, moderate, expensive, very_expensive
if there is no price level information, the value will be null

                rating_distributionobject

the distribution of ratings of the business entity
the object displays the number of 1-star to 5-star ratings, as reviewed by users

                    1integer

the number of 1-star ratings

                    2integer

the number of 2-star ratings

                    3integer

the number of 3-star ratings

                    4integer

the number of 4-star ratings

                    5integer

the number of 5-star ratings

                people_also_searcharray

related business entities

                    cidstring

google-defined client id
unique id of a local establishment
learn more about the identifier in this help center article

                    feature_idstring

the unique identifier of the element in SERP
learn more about the identifier in this help center article

                    titlestring

title of the element in SERP
the name of the business entity for which the results are collected

                    ratingobject

the element's rating
the popularity rate based on reviews and displayed in SERP

                        rating_typestring

the type of rating
here you can find the following elements: Max5, Percents, CustomMax

                        valueinteger

the value of the rating

                        votes_countinteger

the amount of feedback

                        rating_maxinteger

the maximum value for a rating_type

                work_timeobject

work time details
information related to operational hours of the business entity

                    work_hoursobject

open hours
information about work hours of the local establishment

                        timetableobject

work hours timetable

                            sundayarray

work hours on Sunday
can take values of the corresponding days of the week

                                openobject

opening time

                                    hourinteger

hours in the 24-hour format

                                    minuteinteger

minutes

                                closeobject

closing time

                                    hourinteger

hours in the 24-hour format

                                    minuteinteger

minutes

                        current_statusstring

current status of the establishment
possible values: open, close, temporarily_closed, closed_forever

                popular_timesobject

popular times
information related to busy hours of the business entity

                    popular_times_by_daysobject

popular hours
information about busy hours of the local establishment on each day of the week

                        sundayarray

busy hours on Sunday
can take values of the corresponding days of the week

                            timeobject

busy hours

                                hourinteger

hours in a 24-hour format

                                minuteinteger

minutes

                            popular_indexinteger

popularity index
relative time-bound popularity index measured from 0 to 100;
higher value corresponds to a busier time of a day

                local_business_linksarray

available interactions with the business
list of options to interact with the business directly from search results

                    typestring

type of element
possible values:
"reservation"
"order"
"delivery_services_element"
"menu"

                    titlestring

title of the element
domain of the reservation software

                    urlstring

URL to the services

                contact_infoarray

available contacts of the business
list of contacts to interact with the business

                    typestring

type of contact element

                    valuestring

contact displayed in SERP
example:
"+119797979736"

                    sourcestring

data source

                check_urlstring

direct URL to search engine results
you can use it to make sure that we provided accurate results

                last_updated_timestring

date and time when the data was last updated
in the UTC format: “yyyy-mm-dd hh-mm-ss +00:00”
example:
2023-01-26 09:03:15 +00:00

                first_seenstring

date and time when our crawler found the business listing element for the first time
in the UTC format: “yyyy-mm-dd hh-mm-ss +00:00”
example:
2023-03-11 10:04:11 +00:00

‌‌

Instead of ‘login’ and ‘password’ use your credentials from https://app.dataforseo.com/api-access

# Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access 
login="login" 
password="password" 
cred="$(printf ${login}:${password} | base64)" 
curl --location --request POST "https://api.dataforseo.com/v3/business_data/business_listings/search/live" 
--header "Authorization: Basic ${cred}"  
--header "Content-Type: application/json" 
--data-raw '[
  {
    "categories": [
      "pizza_restaurant"
    ],
    "description": "pizza",
    "title": "pizza",
    "is_claimed": true,
    "location_coordinate": "53.476225,-2.243572,10",
    "order_by": [
      "rating.value,desc"
    ],
    "filters": [
      [
        "rating.value",
        ">",
        3
      ]
    ],
    "limit": 3
  }
]'
<?php
// You can download this file from here https://cdn.dataforseo.com/v3/examples/php/php_RestClient.zip?202197
require('RestClient.php');
$api_url = 'https://api.dataforseo.com/';
// Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
$client = new RestClient($api_url, null, 'login', 'password');

$post_array = array();
// simple way to get a result
$post_array[] = array(
   "categories" => ["pizza_restaurant"],
   "description" => "pizza",
   "title" => "pizza",
   "is_claimed" => true,
   "location_coordinate" => "53.476225,-2.243572,10",
   "order_by" => ["rating.value,desc"],
   "filters" => [
      [ "rating.value",">",3 ]
   ],
   "limit" => 3
);
try {
   // POST /v3/business_data/business_listings/search/live
   // the full list of possible parameters is available in documentation
   $result = $client->post('/v3/business_data/business_listings/search/live', $post_array);
   print_r($result);
   // do something with post result
} catch (RestClientException $e) {
   echo "n";
   print "HTTP code: {$e->getHttpCode()}n";
   print "Error code: {$e->getCode()}n";
   print "Message: {$e->getMessage()}n";
   print  $e->getTraceAsString();
   echo "n";
}
$client = null;
?>
const post_array = [];

post_array.push({
    "categories": [
      "pizza_restaurant"
    ],
    "description": "pizza",
    "title": "pizza",
    "is_claimed": true,
    "location_coordinate": "53.476225,-2.243572,10",
    "order_by": [
      "rating.value,desc"
    ],
    "filters": [
      [
        "rating.value",
        ">",
        3
      ]
    ],
    "limit": 3
  });

const axios = require('axios');

axios({
  method: 'post',
  url: 'https://api.dataforseo.com/v3/business_data/business_listings/search/live',
  auth: {
    username: 'login',
    password: 'password'
  },
  data: post_array,
  headers: {
    'content-type': 'application/json'
  }
}).then(function (response) {
  var result = response['data']['tasks'];
  // Result data
  console.log(result);
}).catch(function (error) {
  console.log(error);
});
from client import RestClient
# You can download this file from here https://cdn.dataforseo.com/v3/examples/python/python_Client.zip
client = RestClient("login", "password")
post_data = dict()
# simple way to set a task
post_data[len(post_data)] = dict(
    categories=[
        "pizza_restaurant"
    ],
    description="pizza",
    title="pizza",
    is_claimed=True,
    location_coordinate="53.476225,-2.243572,10",
    order_by=["rating.value,desc"],
    filters=[
        ["rating.value",">",3]
    ],
    limit=3
)
# POST /v3/business_data/business_listings/search/live
response = client.post("/v3/business_data/business_listings/search/live", post_data)
# you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
if response["status_code"] == 20000:
    print(response)
    # do something with result
else:
    print("error. Code: %d Message: %s" % (response["status_code"], response["status_message"]))
using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.Net.Http;
using System.Net.Http.Headers;
using System.Text;
using System.Threading.Tasks;

namespace DataForSeoDemos
{
    public static partial class Demos
    {
        public static async Task business_data_business_listings_search_live()
        {
            var httpClient = new HttpClient
            {
                BaseAddress = new Uri("https://api.dataforseo.com/"),
                // Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
                //DefaultRequestHeaders = { Authorization = new AuthenticationHeaderValue("Basic", Convert.ToBase64String(Encoding.ASCII.GetBytes("login:password"))) }
            };
            var postData = new List<object>();
            // You can set only one task at a time
            postData.Add(new
            {
                categories = new[]
                {
                    "pizza_restaurant"
                },
                description = "pizza",
                title = "pizza",
                is_claimed = true,
                location_coordinate = "53.476225,-2.243572,10",
                order_by = new[]
                {
                    "rating.value,desc"
                },
                filters = new object[]
                {
                    new object[] { "rating.value", ">", 3 }
                },
                limit = 3
            });
            // POST /v3/business_data/business_listings/search/live
            // the full list of possible parameters is available in documentation
            var taskPostResponse = await httpClient.PostAsync("/v3/business_data/business_listings/search/live", new StringContent(JsonConvert.SerializeObject(postData)));
            var result = JsonConvert.DeserializeObject<dynamic>(await taskPostResponse.Content.ReadAsStringAsync());
            // you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
            if (result.status_code == 20000)
            {
                // do something with result
                Console.WriteLine(result);
            }
            else
                Console.WriteLine($"error. Code: {result.status_code} Message: {result.status_message}");
        }
    }
}

The above command returns JSON structured like this:

{
  "version": "0.1.20240422",
  "status_code": 20000,
  "status_message": "Ok.",
  "time": "0.3282 sec.",
  "cost": 0.0109,
  "tasks_count": 1,
  "tasks_error": 0,
  "tasks": [
    {
      "id": "05031600-1535-0544-0000-0058f2aea834",
      "status_code": 20000,
      "status_message": "Ok.",
      "time": "0.2572 sec.",
      "cost": 0.0109,
      "result_count": 1,
      "path": [
        "v3",
        "business_data",
        "business_listings",
        "search",
        "live"
      ],
      "data": {
        "api": "business_data",
        "function": "search",
        "categories": [
          "pizza_restaurant"
        ],
        "description": "pizza",
        "title": "pizza",
        "is_claimed": true,
        "location_coordinate": "53.476225,-2.243572,10",
        "order_by": [
          "rating.value,desc"
        ],
        "filters": [
          [
            "rating.value",
            ">",
            3
          ]
        ],
        "limit": 3
      },
      "result": [
        {
          "total_count": 36,
          "count": 3,
          "offset": 0,
          "offset_token": "eyJDdXJyZW50T2Zmc2V0IjozLCJSZXF1ZXN0RGF0YSI6eyJuYW1lIjoicGl6emEiLCJkZXNjcmlwdGlvbiI6InBpenphIiwiY2F0ZWdvcmllcyI6WyJwaXp6YV9yZXN0YXVyYW50Il0sImNvdW50cnlfY29kZSI6bnVsbCwiY2l0eSI6bnVsbCwiaXNfY2xhaW1lZCI6dHJ1ZSwib25seV9nb29nbGVfYnVzaW5lc3MiOmZhbHNlLCJnZW8iOnsibG9uZ2l0dWRlIjotMi4yNDM1NzIsImxhdGl0dWRlIjo1My40NzYyMjUsInJhZGl1cyI6MTAuMH0sInNlYXJjaF9hZnRlcl90b2tlbiI6bnVsbCwib3JkZXJfYnkiOnsib3JkZXJfZmllbGQiOiJyYXRpbmcudmFsdWUiLCJvcmRlcl90eXBlIjoiRGVzYyIsIm5leHQiOm51bGx9LCJsaW1pdCI6Mywib2Zmc2V0IjpudWxsfSwiUmF3UXVlcnkiOnsiZmllbGQiOiJyYXRpbmcudmFsdWUiLCJ0eXBlIjoiZ3QiLCJ2YWx1ZSI6M30sIlNlYXJjaEFmdGVyRGF0YSI6WzQuNywiMTA0ODYzMTU2ODUxNTcwNDEyODUiXX0=",
          "items": [
            {
              "type": "business_listing",
              "title": "Pizza Mate",
              "original_title": null,
              "description": "Pizza Mate is the friendly face of hand-stretched pizzas, collaborating in social spaces.Expect quality pizza whilst enjoying a craft beer, or arrange collection or delivery.",
              "category": "Pizza restaurant",
              "category_ids": [
                "pizza_restaurant"
              ],
              "additional_categories": null,
              "cid": "10964700581133624142",
              "feature_id": "0x487bb328c6bde12b:0x982a7115c6fd234e",
              "address": "Project, 53 22 Market Pl, Stockport SK1 1EU",
              "address_info": {
                "borough": null,
                "address": "Project, 53 22 Market Pl",
                "city": "Stockport",
                "zip": "SK1 1EU",
                "region": null,
                "country_code": "GB"
              },
              "place_id": "ChIJK-G9xiize0gRTiP9xhVxKpg",
              "phone": null,
              "url": "https://pizzamate.co.uk/",
              "domain": "pizzamate.co.uk",
              "logo": "https://lh4.googleusercontent.com/-pv21SXWW7Mc/AAAAAAAAAAI/AAAAAAAAAAA/4bTVrpABDL0/s44-p-k-no-ns-nd/photo.jpg",
              "main_image": "https://streetviewpixels-pa.googleapis.com/v1/thumbnail?panoid=l-fqhq49IdOOC9QVd0O2yw&cb_client=search.gws-prod.gps&w=408&h=240&yaw=317.7895&pitch=0&thumbfov=100",
              "total_photos": 6,
              "snippet": "Project, 53 22 Market Pl, Stockport SK1 1EU",
              "latitude": 53.4115499,
              "longitude": -2.1574226,
              "is_claimed": true,
              "attributes": {
                "available_attributes": {
                  "service_options": [
                    "has_curbside_pickup",
                    "has_delivery",
                    "has_takeout",
                    "serves_dine_in"
                  ],
                  "offerings": [
                    "serves_alcohol"
                  ],
                  "dining_options": [
                    "serves_lunch",
                    "serves_dinner",
                    "has_catering",
                    "has_counter_service",
                    "has_seating"
                  ],
                  "amenities": [
                    "has_bar_onsite",
                    "welcomes_dogs",
                    "has_restroom",
                    "has_wi_fi"
                  ],
                  "crowd": [
                    "welcomes_families",
                    "welcomes_lgbtq",
                    "is_transgender_safespace"
                  ],
                  "planning": [
                    "accepts_reservations"
                  ],
                  "payments": [
                    "pay_debit_card",
                    "pay_mobile_nfc"
                  ],
                  "children": [
                    "welcomes_children"
                  ]
                },
                "unavailable_attributes": null
              },
              "place_topics": null,
              "rating": {
                "rating_type": "Max5",
                "value": 5,
                "votes_count": 7,
                "rating_max": null
              },
              "hotel_rating": null,
              "price_level": null,
              "rating_distribution": {
                "1": 0,
                "2": 0,
                "3": 0,
                "4": 0,
                "5": 7
              },
              "people_also_search": [
                {
                  "cid": "14613919956191322904",
                  "feature_id": "0x0:0xcacf12c5b4c6a318",
                  "title": "The Fresh Pizza Express",
                  "rating": {
                    "rating_type": "Max5",
                    "value": null,
                    "votes_count": null,
                    "rating_max": null
                  }
                },
                {
                  "cid": "16189719147318426038",
                  "feature_id": "0x0:0xe0ad6fc9a54139b6",
                  "title": "Tasty Bites Stockport",
                  "rating": {
                    "rating_type": "Max5",
                    "value": 3.8,
                    "votes_count": 10,
                    "rating_max": null
                  }
                },
                {
                  "cid": "10027034451293372989",
                  "feature_id": "0x0:0x8b272eb53bf2023d",
                  "title": "Stockport Pizza House",
                  "rating": {
                    "rating_type": "Max5",
                    "value": 3.7,
                    "votes_count": 76,
                    "rating_max": null
                  }
                },
                {
                  "cid": "14212507464546686832",
                  "feature_id": "0x0:0xc53cf83ce7e49770",
                  "title": "SAPORITA",
                  "rating": {
                    "rating_type": "Max5",
                    "value": 4,
                    "votes_count": 5,
                    "rating_max": null
                  }
                }
              ],
              "work_time": {
                "work_hours": {
                  "timetable": {
                    "sunday": null,
                    "monday": null,
                    "tuesday": null,
                    "wednesday": null,
                    "thursday": null,
                    "friday": [
                      {
                        "open": {
                          "hour": 17,
                          "minute": 0
                        },
                        "close": {
                          "hour": 21,
                          "minute": 0
                        }
                      }
                    ],
                    "saturday": [
                      {
                        "open": {
                          "hour": 16,
                          "minute": 0
                        },
                        "close": {
                          "hour": 21,
                          "minute": 0
                        }
                      }
                    ]
                  },
                  "current_status": "closed_forever"
                }
              },
              "popular_times": null,
              "local_business_links": null,
              "contact_info": null,
              "check_url": "https://www.google.co.uk/maps?cid=10964700581133624142&hl=en&gl=GB",
              "last_updated_time": "2023-09-17 10:03:04 +00:00",
              "first_seen": "2023-09-17 10:03:04 +00:00"
            },
            {
              "type": "business_listing",
              "title": "Four Side Vegan Pizza",
              "original_title": null,
              "description": "Award nominated 100% vegan detroit-style pizza and sides. Available for eat in at Electrik in ChorltonnnDelivery is also available on Deliveroo.nnContact @foursideveganpizza on instagram or email hello@foursideveganpizza.com for enquiries.",
              "category": "Pizza restaurant",
              "category_ids": [
                "pizza_restaurant",
                "vegan_restaurant"
              ],
              "additional_categories": [
                "Vegan restaurant"
              ],
              "cid": "5869321143710977031",
              "feature_id": "0x487bb1ecaed96d4d:0x5174047bb3950c07",
              "address": "559 Wilbraham Rd, Chorlton-cum-Hardy, Manchester M21 0AE",
              "address_info": {
                "borough": "Chorlton-cum-Hardy",
                "address": "559 Wilbraham Rd",
                "city": "Manchester",
                "zip": "M21 0AE",
                "region": null,
                "country_code": "GB"
              },
              "place_id": "ChIJTW3Zruyxe0gRBwyVs3sEdFE",
              "phone": "+447565790366",
              "url": "https://www.instagram.com/foursideveganpizza/?hl=en",
              "domain": "www.instagram.com",
              "logo": "https://lh6.googleusercontent.com/-SRtBoQdaEmU/AAAAAAAAAAI/AAAAAAAAAAA/89SrrE5Ev9U/s44-p-k-no-ns-nd/photo.jpg",
              "main_image": "https://lh5.googleusercontent.com/p/AF1QipNQZ7OguFHRpgNhzXrGkC28DDwDYY8b80ojyzVE=w408-h306-k-no",
              "total_photos": 17,
              "snippet": "559 Wilbraham Rd, Chorlton-cum-Hardy, Manchester M21 0AE",
              "latitude": 53.4424134,
              "longitude": -2.2761269,
              "is_claimed": true,
              "attributes": {
                "available_attributes": {
                  "from_the_business": [
                    "is_owned_by_women"
                  ],
                  "service_options": [
                    "has_seating_outdoors",
                    "has_curbside_pickup",
                    "has_no_contact_delivery",
                    "has_delivery",
                    "has_takeout",
                    "serves_dine_in"
                  ],
                  "highlights": [
                    "suitable_for_watching_sports"
                  ],
                  "offerings": [
                    "serves_alcohol",
                    "serves_beer",
                    "has_free_water_refills",
                    "serves_small_plates",
                    "serves_vegetarian",
                    "serves_wine"
                  ],
                  "dining_options": [
                    "serves_lunch",
                    "serves_dinner",
                    "has_seating"
                  ],
                  "amenities": [
                    "has_bar_onsite",
                    "has_restroom",
                    "has_wi_fi"
                  ],
                  "crowd": [
                    "welcomes_lgbtq",
                    "is_transgender_safespace"
                  ],
                  "children": [
                    "welcomes_children"
                  ]
                },
                "unavailable_attributes": null
              },
              "place_topics": null,
              "rating": {
                "rating_type": "Max5",
                "value": 4.8,
                "votes_count": 20,
                "rating_max": null
              },
              "hotel_rating": null,
              "price_level": null,
              "rating_distribution": {
                "1": 1,
                "2": 0,
                "3": 0,
                "4": 1,
                "5": 18
              },
              "people_also_search": [
                {
                  "cid": "17232394770490076156",
                  "feature_id": "0x0:0xef25c3be1c5c2bfc",
                  "title": "Purezza Manchester | Sustainable Pizza 🍕",
                  "rating": {
                    "rating_type": "Max5",
                    "value": 4.8,
                    "votes_count": 1084,
                    "rating_max": null
                  }
                },
                {
                  "cid": "46649816323458175",
                  "feature_id": "0x0:0xa5bbc2c2cc047f",
                  "title": "Ruyi Vegetarian House",
                  "rating": {
                    "rating_type": "Max5",
                    "value": 4.7,
                    "votes_count": 243,
                    "rating_max": null
                  }
                },
                {
                  "cid": "11457202295827891869",
                  "feature_id": "0x0:0x9f0028c9029c869d",
                  "title": "Wholesome Junkies",
                  "rating": {
                    "rating_type": "Max5",
                    "value": 4.8,
                    "votes_count": 406,
                    "rating_max": null
                  }
                },
                {
                  "cid": "11877764939791668309",
                  "feature_id": "0x0:0xa4d64c4819df1455",
                  "title": "Double Zero Neapolitan Pizza",
                  "rating": {
                    "rating_type": "Max5",
                    "value": 4.7,
                    "votes_count": 1308,
                    "rating_max": null
                  }
                },
                {
                  "cid": "15605278880175987317",
                  "feature_id": "0x0:0xd891167611cb9a75",
                  "title": "Herbivorous Vegan | Withington |",
                  "rating": {
                    "rating_type": "Max5",
                    "value": 4.8,
                    "votes_count": 93,
                    "rating_max": null
                  }
                }
              ],
              "work_time": {
                "work_hours": {
                  "timetable": {
                    "sunday": [
                      {
                        "open": {
                          "hour": 16,
                          "minute": 0
                        },
                        "close": {
                          "hour": 20,
                          "minute": 45
                        }
                      }
                    ],
                    "monday": null,
                    "tuesday": [
                      {
                        "open": {
                          "hour": 16,
                          "minute": 0
                        },
                        "close": {
                          "hour": 21,
                          "minute": 0
                        }
                      }
                    ],
                    "wednesday": [
                      {
                        "open": {
                          "hour": 16,
                          "minute": 0
                        },
                        "close": {
                          "hour": 21,
                          "minute": 0
                        }
                      }
                    ],
                    "thursday": [
                      {
                        "open": {
                          "hour": 16,
                          "minute": 0
                        },
                        "close": {
                          "hour": 21,
                          "minute": 0
                        }
                      }
                    ],
                    "friday": [
                      {
                        "open": {
                          "hour": 16,
                          "minute": 0
                        },
                        "close": {
                          "hour": 22,
                          "minute": 0
                        }
                      }
                    ],
                    "saturday": [
                      {
                        "open": {
                          "hour": 14,
                          "minute": 0
                        },
                        "close": {
                          "hour": 22,
                          "minute": 0
                        }
                      }
                    ]
                  },
                  "current_status": "closed_forever"
                }
              },
              "popular_times": null,
              "local_business_links": null,
              "contact_info": [
                {
                  "type": "telephone",
                  "value": "+447565790366",
                  "source": "google_business"
                }
              ],
              "check_url": "https://www.google.co.uk/maps?cid=5869321143710977031&hl=en&gl=GB",
              "last_updated_time": "2023-09-15 16:25:54 +00:00",
              "first_seen": "2023-09-17 10:03:04 +00:00"
            },
            {
              "type": "business_listing",
              "title": "Rudy's Pizza Napoletana - Portland Street",
              "original_title": null,
              "description": "For us it’s all about the pizza. Just like in Naples, our dough is made on site every day, takes 24 hours to double ferment and just 60 seconds to cook. It is soft, light and floppy… so fold for strength or tuck in with a knife and fork. Enjoy.",
              "category": "Neapolitan restaurant",
              "category_ids": [
                "neapolitan_restaurant",
                "pizza_restaurant"
              ],
              "additional_categories": [
                "Pizza restaurant"
              ],
              "cid": "10486315685157041285",
              "feature_id": "0x487bb1340d960e25:0x9186e08e88647485",
              "address": "30 Portland St, Manchester M1 4GS",
              "address_info": {
                "borough": null,
                "address": "30 Portland St",
                "city": "Manchester",
                "zip": "M1 4GS",
                "region": null,
                "country_code": "GB"
              },
              "place_id": "ChIJJQ6WDTSxe0gRhXRkiI7ghpE",
              "phone": "+441615322922",
              "url": "http://www.rudyspizza.co.uk/",
              "domain": "www.rudyspizza.co.uk",
              "logo": "https://lh3.googleusercontent.com/-N-oWgWK9SIw/AAAAAAAAAAI/AAAAAAAAAAA/mXOiVcSr42I/s44-p-k-no-ns-nd/photo.jpg",
              "main_image": "https://lh5.googleusercontent.com/p/AF1QipPVCXD8e1ByFNCFlfWmRkvx6h-ZEBHxXTDTGBGc=w408-h306-k-no",
              "total_photos": 345,
              "snippet": "30 Portland St, Manchester M1 4GS",
              "latitude": 53.4790412,
              "longitude": -2.238241,
              "is_claimed": true,
              "attributes": {
                "available_attributes": {
                  "service_options": [
                    "has_seating_outdoors",
                    "has_delivery",
                    "has_takeout",
                    "serves_dine_in"
                  ],
                  "accessibility": [
                    "has_wheelchair_accessible_entrance",
                    "has_wheelchair_accessible_seating",
                    "has_wheelchair_accessible_restroom"
                  ],
                  "offerings": [
                    "serves_alcohol",
                    "serves_beer",
                    "serves_cocktails",
                    "serves_coffee",
                    "serves_late_night_food",
                    "serves_liquor",
                    "serves_vegan",
                    "serves_vegetarian",
                    "serves_wine"
                  ],
                  "dining_options": [
                    "serves_lunch",
                    "serves_dinner",
                    "serves_dessert",
                    "has_seating"
                  ],
                  "amenities": [
                    "has_bar_onsite",
                    "has_restroom"
                  ],
                  "atmosphere": [
                    "feels_casual"
                  ],
                  "crowd": [
                    "suitable_for_groups"
                  ],
                  "planning": [
                    "accepts_reservations"
                  ],
                  "payments": [
                    "pay_credit_card",
                    "pay_debit_card",
                    "pay_mobile_nfc"
                  ],
                  "children": [
                    "welcomes_children"
                  ],
                  "parking": [
                    "has_parking_lot_paid"
                  ]
                },
                "unavailable_attributes": null
              },
              "place_topics": {
                "toppings": 11,
                "drinks": 95,
                "pepperoni": 83,
                "garlic bread": 8,
                "great value": 6,
                "italian pizza": 6,
                "felt": 6,
                "the menu": 6,
                "vegan": 5,
                "conversation": 8
              },
              "rating": {
                "rating_type": "Max5",
                "value": 4.7,
                "votes_count": 568,
                "rating_max": null
              },
              "hotel_rating": null,
              "price_level": "inexpensive",
              "rating_distribution": {
                "1": 11,
                "2": 6,
                "3": 24,
                "4": 73,
                "5": 454
              },
              "people_also_search": [
                {
                  "cid": "7075759565876250352",
                  "feature_id": "0x0:0x623225d6102046f0",
                  "title": "Giorgio",
                  "rating": {
                    "rating_type": "Max5",
                    "value": 4.3,
                    "votes_count": 805,
                    "rating_max": null
                  }
                },
                {
                  "cid": "3433913040112965233",
                  "feature_id": "0x0:0x2fa7b5b76183d671",
                  "title": "Noi Quattro - Pizzeria",
                  "rating": {
                    "rating_type": "Max5",
                    "value": 4.6,
                    "votes_count": 1283,
                    "rating_max": null
                  }
                },
                {
                  "cid": "8217248936808194996",
                  "feature_id": "0x0:0x7209885f0568a3b4",
                  "title": "The Overstuffed Pizzeria",
                  "rating": {
                    "rating_type": "Max5",
                    "value": 3,
                    "votes_count": 2,
                    "rating_max": null
                  }
                },
                {
                  "cid": "16738462618694490989",
                  "feature_id": "0x0:0xe84af71149709b6d",
                  "title": "Crazy Pedro's NQ",
                  "rating": {
                    "rating_type": "Max5",
                    "value": 4.4,
                    "votes_count": 1599,
                    "rating_max": null
                  }
                },
                {
                  "cid": "13945137393035157451",
                  "feature_id": "0x0:0xc18714930fe09fcb",
                  "title": "PLY",
                  "rating": {
                    "rating_type": "Max5",
                    "value": 4.1,
                    "votes_count": 1381,
                    "rating_max": null
                  }
                }
              ],
              "work_time": {
                "work_hours": {
                  "timetable": {
                    "sunday": [
                      {
                        "open": {
                          "hour": 12,
                          "minute": 0
                        },
                        "close": {
                          "hour": 21,
                          "minute": 0
                        }
                      }
                    ],
                    "monday": [
                      {
                        "open": {
                          "hour": 12,
                          "minute": 0
                        },
                        "close": {
                          "hour": 22,
                          "minute": 0
                        }
                      }
                    ],
                    "tuesday": [
                      {
                        "open": {
                          "hour": 12,
                          "minute": 0
                        },
                        "close": {
                          "hour": 22,
                          "minute": 0
                        }
                      }
                    ],
                    "wednesday": [
                      {
                        "open": {
                          "hour": 12,
                          "minute": 0
                        },
                        "close": {
                          "hour": 22,
                          "minute": 0
                        }
                      }
                    ],
                    "thursday": [
                      {
                        "open": {
                          "hour": 12,
                          "minute": 0
                        },
                        "close": {
                          "hour": 22,
                          "minute": 0
                        }
                      }
                    ],
                    "friday": [
                      {
                        "open": {
                          "hour": 12,
                          "minute": 0
                        },
                        "close": {
                          "hour": 22,
                          "minute": 0
                        }
                      }
                    ],
                    "saturday": [
                      {
                        "open": {
                          "hour": 12,
                          "minute": 0
                        },
                        "close": {
                          "hour": 22,
                          "minute": 0
                        }
                      }
                    ]
                  },
                  "current_status": "open"
                }
              },
              "popular_times": {
                "popular_times_by_days": {
                  "sunday": [
                    {
                      "time": {
                        "hour": 6,
                        "minute": 0
                      },
                      "popular_index": 0
                    },
                    {
                      "time": {
                        "hour": 7,
                        "minute": 0
                      },
                      "popular_index": 0
                    },
                    {
                      "time": {
                        "hour": 8,
                        "minute": 0
                      },
                      "popular_index": 0
                    },
                    {
                      "time": {
                        "hour": 9,
                        "minute": 0
                      },
                      "popular_index": 0
                    },
                    {
                      "time": {
                        "hour": 10,
                        "minute": 0
                      },
                      "popular_index": 0
                    },
                    {
                      "time": {
                        "hour": 11,
                        "minute": 0
                      },
                      "popular_index": 0
                    },
                    {
                      "time": {
                        "hour": 12,
                        "minute": 0
                      },
                      "popular_index": 41
                    },
                    {
                      "time": {
                        "hour": 13,
                        "minute": 0
                      },
                      "popular_index": 58
                    },
                    {
                      "time": {
                        "hour": 14,
                        "minute": 0
                      },
                      "popular_index": 66
                    },
                    {
                      "time": {
                        "hour": 15,
                        "minute": 0
                      },
                      "popular_index": 63
                    },
                    {
                      "time": {
                        "hour": 16,
                        "minute": 0
                      },
                      "popular_index": 58
                    },
                    {
                      "time": {
                        "hour": 17,
                        "minute": 0
                      },
                      "popular_index": 54
                    },
                    {
                      "time": {
                        "hour": 18,
                        "minute": 0
                      },
                      "popular_index": 48
                    },
                    {
                      "time": {
                        "hour": 19,
                        "minute": 0
                      },
                      "popular_index": 36
                    },
                    {
                      "time": {
                        "hour": 20,
                        "minute": 0
                      },
                      "popular_index": 25
                    },
                    {
                      "time": {
                        "hour": 21,
                        "minute": 0
                      },
                      "popular_index": 0
                    },
                    {
                      "time": {
                        "hour": 22,
                        "minute": 0
                      },
                      "popular_index": 0
                    },
                    {
                      "time": {
                        "hour": 23,
                        "minute": 0
                      },
                      "popular_index": 0
                    }
                  ],
                  "monday": [
                    {
                      "time": {
                        "hour": 6,
                        "minute": 0
                      },
                      "popular_index": 0
                    },
                    {
                      "time": {
                        "hour": 7,
                        "minute": 0
                      },
                      "popular_index": 0
                    },
                    {
                      "time": {
                        "hour": 8,
                        "minute": 0
                      },
                      "popular_index": 0
                    },
                    {
                      "time": {
                        "hour": 9,
                        "minute": 0
                      },
                      "popular_index": 0
                    },
                    {
                      "time": {
                        "hour": 10,
                        "minute": 0
                      },
                      "popular_index": 0
                    },
                    {
                      "time": {
                        "hour": 11,
                        "minute": 0
                      },
                      "popular_index": 0
                    },
                    {
                      "time": {
                        "hour": 12,
                        "minute": 0
                      },
                      "popular_index": 23
                    },
                    {
                      "time": {
                        "hour": 13,
                        "minute": 0
                      },
                      "popular_index": 29
                    },
                    {
                      "time": {
                        "hour": 14,
                        "minute": 0
                      },
                      "popular_index": 32
                    },
                    {
                      "time": {
                        "hour": 15,
                        "minute": 0
                      },
                      "popular_index": 32
                    },
                    {
                      "time": {
                        "hour": 16,
                        "minute": 0
                      },
                      "popular_index": 38
                    },
                    {
                      "time": {
                        "hour": 17,
                        "minute": 0
                      },
                      "popular_index": 49
                    },
                    {
                      "time": {
                        "hour": 18,
                        "minute": 0
                      },
                      "popular_index": 57
                    },
                    {
                      "time": {
                        "hour": 19,
                        "minute": 0
                      },
                      "popular_index": 54
                    },
                    {
                      "time": {
                        "hour": 20,
                        "minute": 0
                      },
                      "popular_index": 46
                    },
                    {
                      "time": {
                        "hour": 21,
                        "minute": 0
                      },
                      "popular_index": 27
                    },
                    {
                      "time": {
                        "hour": 22,
                        "minute": 0
                      },
                      "popular_index": 0
                    },
                    {
                      "time": {
                        "hour": 23,
                        "minute": 0
                      },
                      "popular_index": 0
                    }
                  ],
                  "tuesday": [
                    {
                      "time": {
                        "hour": 6,
                        "minute": 0
                      },
                      "popular_index": 0
                    },
                    {
                      "time": {
                        "hour": 7,
                        "minute": 0
                      },
                      "popular_index": 0
                    },
                    {
                      "time": {
                        "hour": 8,
                        "minute": 0
                      },
                      "popular_index": 0
                    },
                    {
                      "time": {
                        "hour": 9,
                        "minute": 0
                      },
                      "popular_index": 0
                    },
                    {
                      "time": {
                        "hour": 10,
                        "minute": 0
                      },
                      "popular_index": 0
                    },
                    {
                      "time": {
                        "hour": 11,
                        "minute": 0
                      },
                      "popular_index": 0
                    },
                    {
                      "time": {
                        "hour": 12,
                        "minute": 0
                      },
                      "popular_index": 36
                    },
                    {
                      "time": {
                        "hour": 13,
                        "minute": 0
                      },
                      "popular_index": 50
                    },
                    {
                      "time": {
                        "hour": 14,
                        "minute": 0
                      },
                      "popular_index": 43
                    },
                    {
                      "time": {
                        "hour": 15,
                        "minute": 0
                      },
                      "popular_index": 37
                    },
                    {
                      "time": {
                        "hour": 16,
                        "minute": 0
                      },
                      "popular_index": 37
                    },
                    {
                      "time": {
                        "hour": 17,
                        "minute": 0
                      },
                      "popular_index": 49
                    },
                    {
                      "time": {
                        "hour": 18,
                        "minute": 0
                      },
                      "popular_index": 56
                    },
                    {
                      "time": {
                        "hour": 19,
                        "minute": 0
                      },
                      "popular_index": 56
                    },
                    {
                      "time": {
                        "hour": 20,
                        "minute": 0
                      },
                      "popular_index": 44
                    },
                    {
                      "time": {
                        "hour": 21,
                        "minute": 0
                      },
                      "popular_index": 30
                    },
                    {
                      "time": {
                        "hour": 22,
                        "minute": 0
                      },
                      "popular_index": 0
                    },
                    {
                      "time": {
                        "hour": 23,
                        "minute": 0
                      },
                      "popular_index": 0
                    }
                  ],
                  "wednesday": [
                    {
                      "time": {
                        "hour": 6,
                        "minute": 0
                      },
                      "popular_index": 0
                    },
                    {
                      "time": {
                        "hour": 7,
                        "minute": 0
                      },
                      "popular_index": 0
                    },
                    {
                      "time": {
                        "hour": 8,
                        "minute": 0
                      },
                      "popular_index": 0
                    },
                    {
                      "time": {
                        "hour": 9,
                        "minute": 0
                      },
                      "popular_index": 0
                    },
                    {
                      "time": {
                        "hour": 10,
                        "minute": 0
                      },
                      "popular_index": 0
                    },
                    {
                      "time": {
                        "hour": 11,
                        "minute": 0
                      },
                      "popular_index": 0
                    },
                    {
                      "time": {
                        "hour": 12,
                        "minute": 0
                      },
                      "popular_index": 43
                    },
                    {
                      "time": {
                        "hour": 13,
                        "minute": 0
                      },
                      "popular_index": 50
                    },
                    {
                      "time": {
                        "hour": 14,
                        "minute": 0
                      },
                      "popular_index": 50
                    },
                    {
                      "time": {
                        "hour": 15,
                        "minute": 0
                      },
                      "popular_index": 43
                    },
                    {
                      "time": {
                        "hour": 16,
                        "minute": 0
                      },
                      "popular_index": 47
                    },
                    {
                      "time": {
                        "hour": 17,
                        "minute": 0
                      },
                      "popular_index": 60
                    },
                    {
                      "time": {
                        "hour": 18,
                        "minute": 0
                      },
                      "popular_index": 69
                    },
                    {
                      "time": {
                        "hour": 19,
                        "minute": 0
                      },
                      "popular_index": 67
                    },
                    {
                      "time": {
                        "hour": 20,
                        "minute": 0
                      },
                      "popular_index": 54
                    },
                    {
                      "time": {
                        "hour": 21,
                        "minute": 0
                      },
                      "popular_index": 37
                    },
                    {
                      "time": {
                        "hour": 22,
                        "minute": 0
                      },
                      "popular_index": 0
                    },
                    {
                      "time": {
                        "hour": 23,
                        "minute": 0
                      },
                      "popular_index": 0
                    }
                  ],
                  "thursday": [
                    {
                      "time": {
                        "hour": 6,
                        "minute": 0
                      },
                      "popular_index": 0
                    },
                    {
                      "time": {
                        "hour": 7,
                        "minute": 0
                      },
                      "popular_index": 0
                    },
                    {
                      "time": {
                        "hour": 8,
                        "minute": 0
                      },
                      "popular_index": 0
                    },
                    {
                      "time": {
                        "hour": 9,
                        "minute": 0
                      },
                      "popular_index": 0
                    },
                    {
                      "time": {
                        "hour": 10,
                        "minute": 0
                      },
                      "popular_index": 0
                    },
                    {
                      "time": {
                        "hour": 11,
                        "minute": 0
                      },
                      "popular_index": 0
                    },
                    {
                      "time": {
                        "hour": 12,
                        "minute": 0
                      },
                      "popular_index": 36
                    },
                    {
                      "time": {
                        "hour": 13,
                        "minute": 0
                      },
                      "popular_index": 47
                    },
                    {
                      "time": {
                        "hour": 14,
                        "minute": 0
                      },
                      "popular_index": 43
                    },
                    {
                      "time": {
                        "hour": 15,
                        "minute": 0
                      },
                      "popular_index": 46
                    },
                    {
                      "time": {
                        "hour": 16,
                        "minute": 0
                      },
                      "popular_index": 56
                    },
                    {
                      "time": {
                        "hour": 17,
                        "minute": 0
                      },
                      "popular_index": 72
                    },
                    {
                      "time": {
                        "hour": 18,
                        "minute": 0
                      },
                      "popular_index": 78
                    },
                    {
                      "time": {
                        "hour": 19,
                        "minute": 0
                      },
                      "popular_index": 76
                    },
                    {
                      "time": {
                        "hour": 20,
                        "minute": 0
                      },
                      "popular_index": 58
                    },
                    {
                      "time": {
                        "hour": 21,
                        "minute": 0
                      },
                      "popular_index": 37
                    },
                    {
                      "time": {
                        "hour": 22,
                        "minute": 0
                      },
                      "popular_index": 0
                    },
                    {
                      "time": {
                        "hour": 23,
                        "minute": 0
                      },
                      "popular_index": 0
                    }
                  ],
                  "friday": [
                    {
                      "time": {
                        "hour": 6,
                        "minute": 0
                      },
                      "popular_index": 0
                    },
                    {
                      "time": {
                        "hour": 7,
                        "minute": 0
                      },
                      "popular_index": 0
                    },
                    {
                      "time": {
                        "hour": 8,
                        "minute": 0
                      },
                      "popular_index": 0
                    },
                    {
                      "time": {
                        "hour": 9,
                        "minute": 0
                      },
                      "popular_index": 0
                    },
                    {
                      "time": {
                        "hour": 10,
                        "minute": 0
                      },
                      "popular_index": 0
                    },
                    {
                      "time": {
                        "hour": 11,
                        "minute": 0
                      },
                      "popular_index": 0
                    },
                    {
                      "time": {
                        "hour": 12,
                        "minute": 0
                      },
                      "popular_index": 33
                    },
                    {
                      "time": {
                        "hour": 13,
                        "minute": 0
                      },
                      "popular_index": 43
                    },
                    {
                      "time": {
                        "hour": 14,
                        "minute": 0
                      },
                      "popular_index": 43
                    },
                    {
                      "time": {
                        "hour": 15,
                        "minute": 0
                      },
                      "popular_index": 43
                    },
                    {
                      "time": {
                        "hour": 16,
                        "minute": 0
                      },
                      "popular_index": 47
                    },
                    {
                      "time": {
                        "hour": 17,
                        "minute": 0
                      },
                      "popular_index": 69
                    },
                    {
                      "time": {
                        "hour": 18,
                        "minute": 0
                      },
                      "popular_index": 83
                    },
                    {
                      "time": {
                        "hour": 19,
                        "minute": 0
                      },
                      "popular_index": 83
                    },
                    {
                      "time": {
                        "hour": 20,
                        "minute": 0
                      },
                      "popular_index": 74
                    },
                    {
                      "time": {
                        "hour": 21,
                        "minute": 0
                      },
                      "popular_index": 54
                    },
                    {
                      "time": {
                        "hour": 22,
                        "minute": 0
                      },
                      "popular_index": 0
                    },
                    {
                      "time": {
                        "hour": 23,
                        "minute": 0
                      },
                      "popular_index": 0
                    }
                  ],
                  "saturday": [
                    {
                      "time": {
                        "hour": 6,
                        "minute": 0
                      },
                      "popular_index": 0
                    },
                    {
                      "time": {
                        "hour": 7,
                        "minute": 0
                      },
                      "popular_index": 0
                    },
                    {
                      "time": {
                        "hour": 8,
                        "minute": 0
                      },
                      "popular_index": 0
                    },
                    {
                      "time": {
                        "hour": 9,
                        "minute": 0
                      },
                      "popular_index": 0
                    },
                    {
                      "time": {
                        "hour": 10,
                        "minute": 0
                      },
                      "popular_index": 0
                    },
                    {
                      "time": {
                        "hour": 11,
                        "minute": 0
                      },
                      "popular_index": 0
                    },
                    {
                      "time": {
                        "hour": 12,
                        "minute": 0
                      },
                      "popular_index": 54
                    },
                    {
                      "time": {
                        "hour": 13,
                        "minute": 0
                      },
                      "popular_index": 76
                    },
                    {
                      "time": {
                        "hour": 14,
                        "minute": 0
                      },
                      "popular_index": 90
                    },
                    {
                      "time": {
                        "hour": 15,
                        "minute": 0
                      },
                      "popular_index": 96
                    },
                    {
                      "time": {
                        "hour": 16,
                        "minute": 0
                      },
                      "popular_index": 100
                    },
                    {
                      "time": {
                        "hour": 17,
                        "minute": 0
                      },
                      "popular_index": 100
                    },
                    {
                      "time": {
                        "hour": 18,
                        "minute": 0
                      },
                      "popular_index": 93
                    },
                    {
                      "time": {
                        "hour": 19,
                        "minute": 0
                      },
                      "popular_index": 82
                    },
                    {
                      "time": {
                        "hour": 20,
                        "minute": 0
                      },
                      "popular_index": 68
                    },
                    {
                      "time": {
                        "hour": 21,
                        "minute": 0
                      },
                      "popular_index": 46
                    },
                    {
                      "time": {
                        "hour": 22,
                        "minute": 0
                      },
                      "popular_index": 0
                    },
                    {
                      "time": {
                        "hour": 23,
                        "minute": 0
                      },
                      "popular_index": 0
                    }
                  ]
                }
              },
              "local_business_links": null,
              "contact_info": [
                {
                  "type": "telephone",
                  "value": "+441615322922",
                  "source": "google_business"
                },
                {
                  "type": "telephone",
                  "value": "01213145880",
                  "source": "backlinks"
                },
                {
                  "type": "telephone",
                  "value": "01519095505",
                  "source": "backlinks"
                },
                {
                  "type": "telephone",
                  "value": "01142992550",
                  "source": "backlinks"
                },
                {
                  "type": "telephone",
                  "value": "01619690196",
                  "source": "backlinks"
                },
                {
                  "type": "telephone",
                  "value": "01519095109",
                  "source": "backlinks"
                },
                {
                  "type": "mail",
                  "value": "liverpoolcastlest@rudyspizza.co.uk",
                  "source": "backlinks"
                },
                {
                  "type": "mail",
                  "value": "peterstreet@rudyspizza.co.uk",
                  "source": "backlinks"
                },
                {
                  "type": "mail",
                  "value": "sheffield@rudyspizza.co.uk",
                  "source": "backlinks"
                },
                {
                  "type": "mail",
                  "value": "leeds@rudyspizza.co.uk",
                  "source": "backlinks"
                },
                {
                  "type": "mail",
                  "value": "sale@rudyspizza.co.uk",
                  "source": "backlinks"
                }
              ],
              "check_url": "https://www.google.co.uk/maps?cid=10486315685157041285&hl=en&gl=GB",
              "last_updated_time": "2024-03-27 17:32:19 +00:00",
              "first_seen": "2023-09-17 10:03:04 +00:00"
            }
          ]
        }
      ]
    }
  ]
}